Package org.apache.sling.cms.core.internal.models

## Class SiteManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.SiteManagerImpl

All Implemented Interfaces:
  `SiteManager`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.SiteManager.class)
    public class SiteManagerImpl
    extends Object
    implements SiteManager

A model for retrieving sites.

### Constructor Summary

Constructors
`SiteManagerImpl​(org.apache.sling.api.resource.Resource containingResource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Site` `getSite()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SiteManagerImpl

    public SiteManagerImpl​(org.apache.sling.api.resource.Resource containingResource)

### Method Detail

#### getSite

    public Site getSite()

Specified by:
  `getSite` in interface `SiteManager`